﻿using System;
using System.IO;

namespace VisualGitSafe
{
    public class ReadOnlyFile
    {        
        public string FileName;
        public bool IsReadOnly;
        public void SetReadOnly(string programFolder)
        {
            string fullFileName = Path.Combine(programFolder, FileName);
            if (File.Exists(fullFileName))
            {
                File.SetAttributes(fullFileName, IsReadOnly ? FileAttributes.ReadOnly : FileAttributes.Normal);
            }
        }

        public void SetReadOnly(string programFolder,bool isReadOnly)
        {
            IsReadOnly = isReadOnly;
            SetReadOnly(programFolder);
        }        
    }
}
